import sys
import paho.mqtt.client as mqtt
import json

def response(dst,text):
	global mqttclient
	message={"DST":dst, "TEXT":text}
	print ("SMS to %s: %s"%(dst,text))
	mqttclient.publish("messages/toradios/unit/%s" % dst, json.dumps(message))

def on_message(client,userdata,message):
	m = json.loads(str(message.payload.decode("utf-8")))
	text = m['TEXT']
	sender = m['SRC']
	num = int(text)
	num = num*2
	r = str(num)
	response(sender,r)


topic = "messages/fromradios/tg/123"
mqttclient=mqtt.Client("subscriber-2")
mqttclient.connect("127.0.0.1")
mqttclient.subscribe(topic)
mqttclient.on_message = on_message
print ("Connected and ready to receive from topic ",topic)
mqttclient.loop_forever()


